Bug 449313 - yum-updatesd generates bad emails
yum-updatesd generates bad emails
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum-updatesd (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: James Antill
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-02 02:07 EDT by Pierre Ossman
Modified: 2014-01-21 18:03 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:11:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pierre Ossman 2008-06-02 02:07:56 EDT
The current yum-updatesd code puts some crud in the email that upsets
spamassassin (and possibly other systems), easily getting the emails flagged as
spam.

The problem is that this line is included among the headers:

From nobody Mon Jun  2 08:00:28 2008

The solution is to replace str(msg) with msg.as_string() in yum-updatesd-helper.
This is needed on F8, F9 and rawhide.
Comment 1 Jeremy Katz 2008-06-02 09:37:15 EDT
Pushed upstream, will try to get a build done for things in the next day or two
Comment 2 Seth Vidal 2008-06-02 09:50:16 EDT
Pierre,
 I'm curious - what does msg.as_string() end up doing differently than str(msg)
and should we be filing a bug w/python about making them vaguely resemble the
same thing?
Comment 3 Pierre Ossman 2008-06-02 11:06:09 EDT
str(msg) adds that "From nobody" line. As it does not have a colon, most parsers
will consider it part of the body and ignore all the real headers (which come
after it).

So you get crap like this when spamassassin sees it:

X-Spam-Status: No, score=3.8 required=5.0 tests=ALL_TRUSTED,BAYES_50,
	MISSING_DATE,MISSING_HB_SEP,MISSING_HEADERS,MISSING_MID,MISSING_SUBJECT
	autolearn=no version=3.2.4
Comment 4 Pierre Ossman 2008-06-15 05:55:55 EDT
What's the status here? It's a bit annoying having to dig the reports out of the
spam folder... :/
Comment 5 Seth Vidal 2008-06-16 14:49:06 EDT
It's been committed to yum-updatesd upstream - but an update hasn't been issued.
I'm not sure what the plan is for yum-updatesd for the future.

Jeremy? You have any thoughts?
Comment 6 Jeremy Katz 2008-09-08 10:10:33 EDT
jantill was going to do releases now
Comment 7 Pierre Ossman 2008-11-12 01:33:46 EST
Status?
Comment 8 Bug Zapper 2008-11-25 21:21:57 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Pierre Ossman 2009-02-08 16:24:00 EST
This bug was opened and supposedly solved over six months ago. What's the hold-up in getting this into the distribution?
Comment 10 Fedora Admin XMLRPC Client 2009-03-10 14:27:34 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Andreas Müller 2009-06-21 12:14:29 EDT
The problem still exists in F11. Why? The bug was opened 1 year ago.
Comment 12 Andreas Müller 2009-07-07 16:58:19 EDT
Ping?
Comment 13 seth vidal 2009-07-07 17:05:31 EDT
it's still open, most likely, b/c no one is really working on yum-updatesd anymore. It's functionality has been superseded by packagekit in many ways.
Comment 14 Andreas Müller 2009-07-07 18:07:19 EDT
PackageKit is good for desktops, but I'm using yum-updatesd on a couple of headless virtual machines and don't want to install all the dependencies (libX* amongst others, 52 packages in total just for "yum install /usr/bin/pkcon"). I guess I'll have to patch the helper script on every machine or develop my own light-weight update-checking system.
Comment 15 James Antill 2009-07-08 00:22:06 EDT
 So there are a couple of things that yum-updatesd does:

1. Regularly schedule metadata refreshes, and (if configured) downloads/installs of packages.

2. Talk to "small" utilities over DBUS, mostly to provide notification on the desktop (desktop icons etc.).

3. Provide non-DBUS notification (syslog/email) of updates needed.

 #1 and #2 are done via. PackageKit atm. on Fedora.

 #1 and #3 are more commonly done via. yum-cron (no real data to back this up, but that's my guess).

...now it's possible that #1 and #3 could be done better than yum-cron does it, but yum-updatesd isn't it and I see no real value in doing #2 in the same application (even if PK is replaced, you don't want to go from one single point of failure to another).

 If you care enough about yum-updatesd to improve it then it'll be pretty trivial to get ownership of it in Fedora. Otherwise I'd probably recommend you look at yum-cron and maybe contribute any features you want there.
Comment 16 Bug Zapper 2009-11-18 05:13:01 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Bug Zapper 2009-12-18 01:11:20 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.